> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/note-pinuri/28.-mutatie-salveaza-mai-multe-note-operatiune-in-lot.md).

# 28. Mutație: Salvează mai multe "Note", operațiune în lot

Această mutație vă permite să atașați mai multe Note la un Câmp specificat.

{% hint style="success" %}
Cantitatea maximă de Note care pot fi salvate este 25.
{% endhint %}

{% hint style="success" %}
Adăugați `uuid` atributul în input pentru a actualiza Nota.
{% endhint %}

* O Notă poate fi legată de Câmp prin identificatorul său unic `fieldUuid,`  la SoilDataset asociat prin `soilDatasetUuid`, la ZonesMap prin `vectorAnalysisMapUuid`.
* Coordonata Notei poate fi setată folosind `centroid` atribut, care necesită definite `latitudine` și `longitudine` valori.&#x20;
* Tipul Notei poate fi specificat folosind `tip` atributul cu valori acceptabile `PLANIFICAT` sau `REAL`.&#x20;
* Descrierea Notei poate fi furnizată folosind `comment` atribut. Dacă descrierea trebuie să fie pe mai multe linii, `comment` atributul ar trebui să conțină un șir cu caractere de sfârșit de linie `\\n` pentru a separa liniile. De exemplu: `"Prima linie este aici\\nA doua linie este aici.\\nA treia linie este aici."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutație BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Salvare batch: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Actualizare batch: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Salvare batch: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Salvare batch: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    dataCrearii
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ro/documentatie-api/prezentare-generala-a-cererilor-api-geopard/note-pinuri/28.-mutatie-salveaza-mai-multe-note-operatiune-in-lot.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
